<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\category;
use App\Models\post;
use App\Models\about;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    // public function __construct()
    // {
    //     $this->middleware('auth');
    // }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        return view('home');
    }

    public function post($catId){
        $post=post::where('category_id', $catId)->get();
        return view('src.viewcat',compact('post'));
    }

    public function post_details($id){
        $details=post::where('id', $id)->get();
        return view('src.details',compact('details'));
    }

    public function home_about(){
        $about=about::all();
        return view('src.about', compact('about'));
    }
}
