<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\post;

class postController extends Controller
{

    public function __construct()
    {
        $this->middleware('auth');
    }
    public function index(){
        $blogs=post::all();
        return view('admin.post',compact('blogs'));
    }



    public function store(Request $request){
        $post=new post();
        $post->category_id=$request->category_id;
        $post->sub_category_id=$request->sub_category_id;
        $post->title=$request->title;
        $post->sub_title=$request->sub_title;
        if($request->file('image')){
            $file= $request->file('image');
            $filename= date('YmdHi').$file->getClientOriginalName();
            $file-> move(public_path('images/post'), $filename);
            $post['image']= $filename;
        }
        $post->posted_by=$request->posted_by;
        $post->content=$request->content;
        $post->status=$request->status;
        $post->save();
        return redirect()->back()->with('success','Posted Successfully');

    }

    public function edit($id){
        $blog=post::where('id', $id)->get();
        return view('admin.editpost',compact('blog'));
    }


    public function update(Request $request, $id){
        $post=post::find($id);
        $post->category_id=$request->category_id;
        $post->sub_category_id=$request->sub_category_id;
        $post->title=$request->title;
        $post->sub_title=$request->sub_title;
        if($request->file('image')){
            $file= $request->file('image');
            $filename= date('YmdHi').$file->getClientOriginalName();
            $file-> move(public_path('images/post'), $filename);
            $post['image']= $filename;
        }
        $post->posted_by=$request->posted_by;
        $post->content=$request->content;
        $post->status=$request->status;
        $post->save();
        return redirect()->route('blogspost')->with('success','Posted Successfully');

    }

    public function destroy($id){
        post::where('id', $id)->delete();
        return redirect()->back();
    }
}
