@extends('layouts.app')

@section('content')

<div class="container mb-3 mt-3 shadow-sm">
<div class="col-12 bg-warning p-3 rounded-3 mb-2">
                    <h2 class="text-center text-white">Post About</h2>
                </div>
                @foreach($about as $row)
    <div class="row justify-content-center">
        <div class="col-lg-8">
            <form action="" method="post" enctype="multipart/form-data">
                @csrf 

                <div class="col-12 py-2">
                    <label for="">Title</label>
                    <input type="text" name="title" class="form-control" id="" value="{{$row->title}}">
                </div>
                <div class="col-12 py-2">
                    <label for="">Sub Title</label>
                    <input type="text" name="sub_title" class="form-control" id="" value="{{$row->sub_title}}">
                </div>
                <div class="col-12 py-2">
                    <label for="">Post Image</label>
                    <input type="file" name="image" class="form-control" id="">
                    <div class="col-12">
                        <img src="{{asset('images/about/'.$row->image)}}" width="100%" alt="">
                    </div>
                </div>
                <div class="col-12 py-2">
                    <label for="">Content</label>
                    <textarea name="content" class="form-control" col="30" row="40" id="">{{$row->content}}</textarea>
                </div>
                <div class="col-12 py-2">
                    <label for="">Phone Number</label>
                    <input type="text" name="phone" class="form-control" id="" value="{{$row->phone}}">
                </div>
                <div class="col-12 py-2">
                    <label for="">Email Address</label>
                    <input type="email" name="email" class="form-control" id="" value="{{$row->email}}">
                </div>
                <div class="col-12 py-2">
                    <label for="">Facebook</label>
                    <input type="text" name="facebook" class="form-control" id="" value="{{$row->facebook}}">
                </div>
                <div class="col-12 py-2">
                    <label for="">Twitter (X)</label>
                    <input type="text" name="twitter" class="form-control" id="" value="{{$row->twitter}}">
                </div>
                <div class="col-12 py-2">
                    <label for="">Instagram</label>
                    <input type="text" name="instagram" class="form-control" id="" value="{{$row->instagram}}">
                </div>
                <div class="col-12 py-2">
                    <label for="">Linkedin</label>
                    <input type="text" name="linkedin" class="form-control" id="" value="{{$row->linkedin}}">
                </div>
                <div class="col-12 py-2">
                    <button class="btn btn-primary btn-sm" type="submit">Update</button>
                </div>
            </form>
        </div>
    </div>
    @endforeach
</div>

@endsection