@extends('layouts.app')

@section('content')

<div class="container mt-3 mb-3 shadow-sm">
<div class="col-12 bg-warning p-3 rounded-3 mb-2">
                    <h2 class="text-center text-white">Categories</h2>
                </div>
    <div class="row justify-content-center">
        <div class="col-lg-8">
            @foreach($category as $row)
            <div class="card-body">
                <form action="" method="post">
                    @csrf 

                    <div class="col-12 py-2">
                        <label for="">Category Name</label>
                        <input type="text" name="name" class="form-control" id="" value="{{$row->name}}">
                        
                    </div>
                    <div class="col-12 py-2">
                        <label for="">Status</label>
                        <select name="status" class="form-control" id="">
                            <option value="">Select one Option</option>
                            <option value="1"@if($row->status==1) selected @endif>Activate</option>
                            <option value="0"@if($row->status==0) selected @endif>Deactivate</option>
                        </select>
                    </div>
                    <div class="col-12 py-2">
                        <button class="btn btn-primary btn-sm" type="submit">Post</button>
                    </div>
                </form>
            </div>
            @endforeach
        </div>
        
    </div>
</div>
@endsection