@extends('layouts.app')
@section('title','About')
@section('content')

<section>
    @foreach($about as $det)
    <div class="container">
        <div class="row justify-content-center p-2 mt-3 mb-3">
        <div class="col-lg-8 shadow-sm">
             <div class="card-body">
            <img src="{{asset('images/about/'.$det->image)}}" class="img-thumbnail" alt="" width="100%">
            <h2 class="p-2 mt-1">{{$det->title}}</h2>
            <strong>{{$det->sub_title}}</strong>
            <hr class="border-primary">
            <p class="p-2">{!!$det->content!!}</p>
        </div>
        </div>
        @include('components.sidebar')
        </div>
    </div>
    @endforeach
</section>
@endsection