@extends('layouts.app')

@section('content')

<div class="container mb-3 mt-3 shadow-sm">
<div class="col-12 bg-warning p-3 rounded-3 mb-2">
                    <h2 class="text-center text-white">Categories</h2>
                </div>
    <div class="row p-3">
        <div class="col-lg-6">
            <div class="card-body">
                <form action="" method="post">
                    @csrf 

                    <div class="col-12">
                        <label for="">Category Name</label>
                        <input type="text" name="name" class="form-control" id="">
                        
                    </div>
                    <div class="col-12">
                        <label for="">Status</label>
                        <select name="status" class="form-control" id="">
                            <option value="">Select one Option</option>
                            <option value="1">Activate</option>
                            <option value="0">Deactivate</option>
                        </select>
                    </div>
                    <div class="col-12">
                        <button class="btn btn-primary btn-sm" type="submit">Post</button>
                    </div>
                </form>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="card-body">
                <table class="table">
                    <thead>
                        <th>Category Name</th>
                        <th>Status</th>
                        <th>Action</th>
                    </thead>
                    <tbody>
                        @foreach($categories as $row)
                        <tr>
                            <td>{{$row->name}}</td>
                            <td>@if($row->status==1)
                                <button class="btn btn-success">Activated</button>
                                @else 
                                <button class="btn btn-danger">Deactivated</button>
@endif
                            </td>
                            <td>
                                <a href="{{route('editcat',$row->id)}}" class="btn btn-primary btn-xs">Edit</a>
                                <a href="{{route('deletecat',$row->id)}}" class="btn btn-danger btn-xs">Del</a>
                            </td>
                        </tr>


                        @endforeach
                    </tbody>

                </table>
            </div>
        </div>
    </div>
</div>
@endsection