@extends('layouts.app')

@section('content')

<div class="container mb-3 mt-3 shadow-sm">
<div class="col-12 bg-warning p-3 rounded-3 mb-2">
                    <h2 class="text-center text-white">Edit Blogs</h2>
                </div>
    <div class="row justify-content-center">
        @foreach($blog as $row)
        <div class="col-lg-8  bg-light">
            <div class="card-body p-3 ">
                
                <form action="" method="post" enctype="multipart/form-data">
                    @csrf 
                    <div class="col-12 py-2">
                        <label for="">Category Name</label>
                       
                        
                        <select name="category_id" class="form-control" id="">
                            <option value="">Select Option</option>
                            @php 
                            $cat=App\Models\category::all();
                            @endphp
                            @foreach($cat as $rows)
                                <option value="{{$rows->name}}"@if($row->category_id==$rows->name) selected @endif>{{$rows->name}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="col-12 py-2">
                        <label for="">Sub Category Name</label>
                       
                        
                        <select name="sub_category_id" class="form-control" id="">
                            <option value="">Select Option</option>
                            @php 
                            $subcat=App\Models\subCategory::all();
                            @endphp
                            @foreach($subcat as $rowss)
                                <option value="{{$rowss->name}}"@if($row->sub_category_id==$rowss->name) selected @endif>{{$rowss->name}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="col-12 py-2">
                        <label for="">Title</label>
                        <input type="text" name="title" class="form-control" id="" value="{{$row->title}}">
                        
                    </div>
                    <div class="col-12 py-2">
                        <label for="">Sub Title</label>
                        <input type="text" name="sub_title" class="form-control" id="" value="{{$row->sub_title}}">
                        
                    </div>
                    <div class="col-12 py-2">
                        <label for="">Image</label>
                        <input type="file" name="image" class="form-control" id="">
                        <div class="col-12 mt-2 mb-2 p-2">
                            <img src="{{asset('images/post/'.$row->image)}}" width="100%" alt="">
                        </div>
                    </div>
                    <div class="col-12 py-2">
                        <label for="">Posted By</label>
                        <input type="text" name="posted_by" class="form-control" id="" value="{{$row->posted_by}}">
                        
                    </div>
                    <div class="col-12 py-2">
                        <label for="">Content</label>
                      <textarea  col="10" row="30" name="content" class="form-control" id="">{{$row->content}}</textarea>
                        
                    </div>
                    <div class="col-12">
                        <label for="">Status</label>
                        <select name="status" class="form-control" id="">
                            <option value="">Select one Option</option>
                            <option value="1"@if($row->status==1) selected @endif>Activate</option>
                            <option value="0"@if($row->status==0) selected @endif>Deactivate</option>
                        </select>
                    </div>
                    <div class="col-12 py-2">
                        <button class="btn btn-primary " type="submit">Update Post</button>
                    </div>
                </form>
            </div>
        </div>
        @endforeach
    </div>
</div>
@endsection