@extends('layouts.app')
@section('title','Home')
@section('content')
<div class="container">
    <div class="row justify-content-center">
    @php 
$postl=App\Models\post::where('status',1)->limit(1)->InRandomOrder(2)->get();
                @endphp
                
        <div class="col-lg-9">
            @foreach($postl as $rowl)
            <div class="card-body">
            <img src="{{asset('images/post/'.$rowl->image)}}" class="img-thumbnail" alt="" width="100%">
            </div>
            @endforeach
            @php 
                $categorya=App\Models\category::where('status', 1)->get();
                @endphp
                @foreach($categorya as $rowsd)
            <div class="row mt-4">
               
                <div class="col-12 mt-2">
                    <h2>{{$rowsd->name}}</h2>
                    <hr>
                </div>
                
                @php 
                $post=App\Models\post::where('status',1)->where('category_id', $rowsd->name)->get();
                @endphp
                @foreach($post as $row)
                
                <div class="col-lg-4 py-3 ">
                    <div class="card-body bg-white shadow-sm">
                    <a href="{{route('detailspost',$row->id)}}" class="nav-link">
                    <img src="{{asset('images/post/'.$row->image)}}" class="img-thumbnail" alt="" width="100%">
                    <p class="p-2">{{$row->title}}</p>
                    </a>
                    </div>
                </div>
                
                @endforeach
                
            </div>
            @endforeach
        </div>
        
        @include('components.sidebar')
    </div>
</div>
@endsection
