<?php $__env->startSection('content'); ?>

<div class="container mb-3 mt-3 shadow-sm">
<div class="col-12 bg-warning p-3 rounded-3 mb-2">
                    <h2 class="text-center text-white">Post Blogs</h2>
                </div>
    <div class="row">
        <div class="col-lg-4  bg-light">
            <div class="card-body p-3 ">
                
                <form action="" method="post" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?> 
                    <div class="col-12 py-2">
                        <label for="">Category Name</label>
                       
                        
                        <select name="category_id" class="form-control" id="">
                            <option value="">Select Option</option>
                            <?php 
                            $cat=App\Models\category::all();
                            ?>
                            <?php $__currentLoopData = $cat; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $rows): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($rows->name); ?>"><?php echo e($rows->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                    <div class="col-12 py-2">
                        <label for="">Sub Category Name</label>
                       
                        
                        <select name="sub_category_id" class="form-control" id="">
                            <option value="">Select Option</option>
                            <?php 
                            $subcat=App\Models\subCategory::all();
                            ?>
                            <?php $__currentLoopData = $subcat; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $rowss): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($rowss->name); ?>"><?php echo e($rowss->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                    <div class="col-12 py-2">
                        <label for="">Title</label>
                        <input type="text" name="title" class="form-control" id="">
                        
                    </div>
                    <div class="col-12 py-2">
                        <label for="">Sub Title</label>
                        <input type="text" name="sub_title" class="form-control" id="">
                        
                    </div>
                    <div class="col-12 py-2">
                        <label for="">Image</label>
                        <input type="file" name="image" class="form-control" id="">
                        
                    </div>
                    <div class="col-12 py-2">
                        <label for="">Posted By</label>
                        <input type="text" name="posted_by" class="form-control" id="">
                        
                    </div>
                    <div class="col-12 py-2">
                        <label for="">Content</label>
                      <textarea  col="30" row="40" name="content" class="form-control" id=""></textarea>
                        
                    </div>
                    <div class="col-12">
                        <label for="">Status</label>
                        <select name="status" class="form-control" id="">
                            <option value="">Select one Option</option>
                            <option value="1">Activate</option>
                            <option value="0">Deactivate</option>
                        </select>
                    </div>
                    <div class="col-12">
                        <button class="btn btn-primary btn-sm" type="submit">Post</button>
                    </div>
                </form>
            </div>
        </div>
        <div class="col-lg-8  bg-light">
            <div class="card-body">
            
                <table class="table">
                    <thead>
                        <th>Category Name</th>
                        <th>Sub Cat Name</th>
                        <th>Title</th>
                        <th>Sub Title</th>
                        <th>Image</th>
                        <th>Posted By</th>
                        <th>Content</th>
                        <th>Status</th>
                        <th>Action</th>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $blogs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($row->category_id); ?></td>
                            <td><?php echo e($row->sub_category_id); ?></td>
                            <td><img src="<?php echo e(asset('images/post/'.$row->image)); ?>" width="100%" alt=""></td>
                            <td><?php echo e($row->title); ?></td>
                            <td><?php echo e($row->sub_title); ?></td>
                            <td><?php echo e($row->posted_by); ?></td>
                            <td><?php echo e($row->content); ?></td>
                            
                            <td><?php if($row->status==1): ?>
                                <button class="btn btn-success">Activated</button>
                                <?php else: ?> 
                                <button class="btn btn-danger">Deactivated</button>
<?php endif; ?>
                            </td>
                            <td>
                                <a href="<?php echo e(route('editpost',$row->id)); ?>" class="btn btn-primary btn-xs">Edit</a>
                                <a href="<?php echo e(route('deletepost',$row->id)); ?>" class="btn btn-danger btn-xs">Del</a>
                            </td>
                        </tr>


                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>

                </table>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/blog/resources/views/admin/post.blade.php ENDPATH**/ ?>