<?php $__env->startSection('content'); ?>

<div class="container mb-3 mt-3 shadow-sm">
<div class="col-12 bg-warning p-3 rounded-3 mb-2">
                    <h2 class="text-center text-white">Categories</h2>
                </div>
    <div class="row p-3">
        <div class="col-lg-6">
            <div class="card-body">
                <form action="" method="post">
                    <?php echo csrf_field(); ?> 

                    <div class="col-12">
                        <label for="">Category Name</label>
                        <input type="text" name="name" class="form-control" id="">
                        
                    </div>
                    <div class="col-12">
                        <label for="">Status</label>
                        <select name="status" class="form-control" id="">
                            <option value="">Select one Option</option>
                            <option value="1">Activate</option>
                            <option value="0">Deactivate</option>
                        </select>
                    </div>
                    <div class="col-12">
                        <button class="btn btn-primary btn-sm" type="submit">Post</button>
                    </div>
                </form>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="card-body">
                <table class="table">
                    <thead>
                        <th>Category Name</th>
                        <th>Status</th>
                        <th>Action</th>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($row->name); ?></td>
                            <td><?php if($row->status==1): ?>
                                <button class="btn btn-success">Activated</button>
                                <?php else: ?> 
                                <button class="btn btn-danger">Deactivated</button>
<?php endif; ?>
                            </td>
                            <td>
                                <a href="<?php echo e(route('editcat',$row->id)); ?>" class="btn btn-primary btn-xs">Edit</a>
                                <a href="<?php echo e(route('deletecat',$row->id)); ?>" class="btn btn-danger btn-xs">Del</a>
                            </td>
                        </tr>


                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>

                </table>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/blog/resources/views/admin/categories.blade.php ENDPATH**/ ?>